# GLM: glm::gtc::half_float Namespace Reference

# glm::gtc::half_float Namespace Reference

GLM_GTC_half_float extension: Add support for half precision floating-point types. More...

## Typedefs

typedef detail::thalf | half
| Type for half-precision floating-point numbers.
typedef detail::tmat2x2 < detail::thalf > | hmat2
| 2 * 2 matrix of half-precision floating-point numbers.
typedef detail::tmat3x3 < detail::thalf > | hmat3
| 3 * 3 matrix of half-precision floating-point numbers.
typedef detail::tmat4x4 < detail::thalf > | hmat4
| 4 * 4 matrix of half-precision floating-point numbers.
typedef detail::tvec2 < detail::thalf > | hvec2
| Vector of 2 half-precision floating-point numbers.
typedef detail::tvec3 < detail::thalf > | hvec3
| Vector of 3 half-precision floating-point numbers.
typedef detail::tvec4 < detail::thalf > | hvec4
| Vector of 4 half-precision floating-point numbers.

## Detailed Description

GLM_GTC_half_float extension: Add support for half precision floating-point types.

## Typedef Documentation

typedef detail::thalf half

Type for half-precision floating-point numbers.

From GLM_GTC_half_float extension.

Definition at line 370 of file gtc/half_float.hpp.

typedef detail::tmat2x2<detail::thalf> hmat2

2 * 2 matrix of half-precision floating-point numbers.

From GLM_GTC_half_float extension.

Definition at line 386 of file gtc/half_float.hpp.

typedef detail::tmat3x3<detail::thalf> hmat3

3 * 3 matrix of half-precision floating-point numbers.

From GLM_GTC_half_float extension.

Definition at line 390 of file gtc/half_float.hpp.

typedef detail::tmat4x4<detail::thalf> hmat4

4 * 4 matrix of half-precision floating-point numbers.

From GLM_GTC_half_float extension.

Definition at line 394 of file gtc/half_float.hpp.

typedef detail::tvec2<detail::thalf> hvec2

Vector of 2 half-precision floating-point numbers.

From GLM_GTC_half_float extension.

Definition at line 374 of file gtc/half_float.hpp.

typedef detail::tvec3<detail::thalf> hvec3

Vector of 3 half-precision floating-point numbers.

From GLM_GTC_half_float extension.

Definition at line 378 of file gtc/half_float.hpp.

typedef detail::tvec4<detail::thalf> hvec4

Vector of 4 half-precision floating-point numbers.

From GLM_GTC_half_float extension.

Definition at line 382 of file gtc/half_float.hpp.